FontLineShape
Date: 2019-10-22

org.jmol.shape

## Class FontLineShape

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.FontLineShape

- Direct Known Subclasses:
    Axes, Bbcage, Uccage

      public abstract class FontLineShape
      extends Shape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Font` | `font3d`
    `TickInfo[]` | `tickInfos`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontLineShape()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getShapeState()`
    `void` | `initShape()`
    `protected void` | `setPropFLS(java.lang.String propertyName, java.lang.Object value)`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setModelVisibilityFlags, setProperty, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tickInfos

          public TickInfo[] tickInfos

    - #### font3d

          public Font font3d

  - ### Constructor Detail

    - #### FontLineShape

          public FontLineShape()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Specified by:
        `initShape` in class `Shape`

    - #### setPropFLS

          protected void setPropFLS(java.lang.String propertyName,
                                    java.lang.Object value)

    - #### getShapeState

          public java.lang.String getShapeState()

      Specified by:
        `getShapeState` in class `Shape`